#include <iostream>
#include <iterator>
#include "clx/stats.h"
#include "clx/quantile.h"

int main(int argc, char* argv[]) {
	std::istream_iterator<int> input(std::cin);
	std::istream_iterator<int> last;
	
	std::vector<int> v;
	std::copy(input, last, std::back_inserter(v));
	
	std::cout << "mean: " << clx::mean(v.begin(), v.end()) << std::endl;
	std::cout << std::endl;
	
	std::cout << "percentile" << std::endl;
	std::cout << "-----" << std::endl;
	
	std::cout << " 1 %: " << clx::percentile(v.rbegin(), v.rend(), 1) << std::endl;
	std::cout << "10 %: " << clx::percentile(v.rbegin(), v.rend(), 10) << std::endl;
	std::cout << "25 %: " << clx::percentile(v.rbegin(), v.rend(), 25) << std::endl;
	std::cout << "50 %: " << clx::percentile(v.rbegin(), v.rend(), 50) << std::endl;
	std::cout << "75 %: " << clx::percentile(v.rbegin(), v.rend(), 75) << std::endl;
	std::cout << "90 %: " << clx::percentile(v.rbegin(), v.rend(), 90) << std::endl;
	std::cout << "99 %: " << clx::percentile(v.rbegin(), v.rend(), 99) << std::endl;
	
	return 0;
}
